<ul class="list-steps" xmlns:th="http://www.thymeleaf.org" xmlns:form="http://form.thymeleaf.org">
    <li th:each="step, stats : ${steps}" th:attr="class=${stats.index == stepIndex ? 'active':''},style=${step.user != user ?'display:none': ''}">
        <a class="btn btn-step custom-tooltip" data-toggle="tooltip" data-placement="right" th:title="${step.label} ? #{${step.label}} : null"   th:href="@{/record/{code}/{page}(code=${code}, page=${stats.index})}"  th:if="${((stats.index == stepIndex || stats.index == current_step || stats.index < current_step || stats.index < stepIndex) && step.user == user)}"><i class="fa fa-" th:attrappend="class=${null == step.icon ? 'question' : step.icon}"></i></a>
        <a class="btn btn-step custom-tooltip" data-toggle="tooltip" data-placement="right" th:title="${step.label} ? #{${step.label}} : null"   th:if="${stats.index > current_step}"><i class="fa fa-" th:attrappend="class=${null == step.icon ? 'question' : step.icon}"></i></a>
    </li>
</ul>